> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getmembrane.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get all versions of a package



## OpenAPI

````yaml /api-reference/membrane-api.json get /packages/{id}/versions
openapi: 3.0.0
info:
  title: Membrane API
  description: API documentation for Membrane Engine
  version: '1.0'
  contact: {}
servers:
  - url: https://api.getmembrane.com
security:
  - bearer: []
tags: []
paths:
  /packages/{id}/versions:
    get:
      tags:
        - Packages
      summary: Get all versions of a package
      operationId: getPackageVersions
      parameters:
        - name: id
          required: true
          in: path
          description: Package ID
          schema:
            type: string
        - name: limit
          required: false
          in: query
          description: Maximum number of items to return (1-1000)
          schema:
            minimum: 1
            maximum: 1000
            type: integer
        - name: cursor
          required: false
          in: query
          description: Pagination cursor from a previous response
          schema:
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PackageVersionsResponseDto'
components:
  schemas:
    PackageVersionsResponseDto:
      type: object
      properties:
        items:
          type: array
          items:
            type: object
            properties:
              id:
                type: string
              version:
                type: string
              changelog:
                type: string
              parentPackageVersion:
                type: string
            required:
              - id
              - version
        cursor:
          type: string
      required:
        - items
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      type: http

````